## ros-kinetic-pr2-controller-configuration-gazebo 2.0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_controller_configuration_gazebo)

find_package(catkin REQUIRED)

catkin_package()

# Install Gazebo launch files
install(
  DIRECTORY
    config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

install(
  DIRECTORY
    launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-kinetic-pr2-controller-configuration-gazebo (2.0.11-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 19 Aug 2018 15:00:00 -0000

ros-kinetic-pr2-controller-configuration-gazebo (2.0.10-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 17 Mar 2018 15:00:00 -0000

ros-kinetic-pr2-controller-configuration-gazebo (2.0.9-0xenial) xenial; urgency=high

  * Merge pull request #137 <https://github.com/pr2/pr2_simulator/issues/137> from v4hn/config-build-depends
    Config build depends
  * remove build-dependencies on gazebo from configuration package
    The CMakeLists.txt does not build anything.
    It should not find-package things it does not need during build.
  * add build and run depend to gazebo
    (note that pr2_gazebo  depend on pr2_controller_configuration_gazebo)
  * Contributors: Kei Okada, v4hn

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 17 Feb 2018 15:00:00 -0000

ros-kinetic-pr2-controller-configuration-gazebo (2.0.8-0xenial) xenial; urgency=high

  * Merge pull request #135 <https://github.com/pr2/pr2_simulator/issues/135> from k-okada/kinetic-devel
    fix more cmake warnings
  * fix compile error on catkin_package() DEPENDS on 'SDF' but neither 'SDF_INCLUDE_DIRS' nor...
  * Merge pull request #133 <https://github.com/pr2/pr2_simulator/issues/133> from k-okada/125
    Removed repeated arg "gui", see https://github.com/PR2/pr2_simulator/pull/125
  * Merge pull request #128 <https://github.com/pr2/pr2_simulator/issues/128> from k-okada/maintainer
    change maintainer to ROS orphaned package maintainer
  * Removed repeated arg "gui", see https://github.com/PR2/pr2_simulator/pull/125
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 15:00:00 -0000

ros-kinetic-pr2-controller-configuration-gazebo (2.0.5-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 12 Mar 2015 15:00:00 -0000

ros-kinetic-pr2-controller-configuration-gazebo (2.0.4-0xenial) xenial; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 15:00:00 -0000

ros-kinetic-pr2-controller-configuration-gazebo (2.0.3-0xenial) xenial; urgency=high

  * Changelogs
  * Changelogs
  * Corrected typo in configuration of pr2-joint-effort-controllers.
  * Contributors: Georg Bartels, TheDash
  * Changelogs
  * Corrected typo in configuration of pr2-joint-effort-controllers.
  * Contributors: Georg Bartels, TheDash
  * Corrected typo in configuration of pr2-joint-effort-controllers.
  * Contributors: Georg Bartels

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 06 Oct 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pr2-controller-configuration-gazebo
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/pr2_controller_configuration_gazebo
Standards-Version: 3.9.2

Package: ros-kinetic-pr2-controller-configuration-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gazebo7, ros-kinetic-pr2-controller-manager, ros-kinetic-pr2-gripper-action, ros-kinetic-pr2-head-action, ros-kinetic-single-joint-position-action
Description: A copy of the pr2_controller_configuration package, for use in the PR2 simulator.
 We maintain two copies to allow for controller gains to be set differently between hardware and simulation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pr2-controller-configuration-gazebo//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
